
#ifndef _SPI_H
	#define _SPI_H   1

	/**
	 * @brief Initialize SPI Master connection (current chip is master)
	 */
	void spiMasterInit(void);

	/**
	 * @brief Write byte to slave
	 * @param data Data to transmit
	 */
	char spiMasterWrite(char cData);

	/**
	 * @brief Initialize SPI slave connection (current chip is slave)
	 */
	void spiSlaveInit(void);

	/**
	 * @brief Read byte from master
	 * @return Read byte
	 */	
	unsigned char spiSlaveRead(void);

#endif
