#include <avr/io.h>
#include "../blib/config.h"
#include "../blib/default.h"
#include "../glcd/glcd.h"
#include "../glcd/multiline.h"
#include "../blib/rs232.h"
#include "../glcd/bmp.h"
#include "mediacontrol.h"

unsigned char mediacontrol()
{	
	glcdClearScreen();
	bmpLoad("icontrol.bmp", 0, 32);
	bmpLoad("bcontrol.bmp", 6, 0);	
	mediapushkey();
/*
	while (1)
	{
		unsigned char keyvalue;
		unsigned char keytemp[5];

		unsigned int screen_x, screen_y;

		screen_x = touchReadX();
		screen_y = touchReadY();
			
		keyvalue = mediapushkey(screen_x, screen_y);

		mSleep(200);				

		if (keyvalue != 255)
		{
			if (keyvalue == 6)
			{
				break;
			}
			sprintf(keytemp,"%c",keyvalue);		// \c binr 
			rs232Write(0, keytemp);
		}
	}
*/
}

unsigned char mediapushkey(unsigned int screen_x, unsigned int screen_y)
{
	if(touchInArea(screen_x, screen_y, 48, 16, 80, 48))
	{
		return 01; 
	}
	if(touchInArea(screen_x, screen_y, 48, 0, 80, 15))
	{
		return 02; 
	}	
	if(touchInArea(screen_x, screen_y, 84, 16, 105, 48))
	{
		return 03; 
	}
	if(touchInArea(screen_x, screen_y, 48, 49, 80, 64))
	{
		return 04; 
	}
	if(touchInArea(screen_x, screen_y, 25, 16, 44, 48))
	{
		return 05; 
	}
	if(touchInArea(screen_x, screen_y, 0, 48, 16, 64))
	{
	  	return 06;
	}
	return 255;
}
