#ifndef _BMP_H

	#define _BMP_H

	#define BMP_bfOffBits 	10
	#define BMP_biWidth 	18
	#define BMP_biHeight 	22

	#define BMP_blockSize 128
	#define BMP_displayWidth 128

	#define BMP_EXTRACT_BIT( value , bit  ) (((value) & (1 << (bit))) >> (bit))

	/*
	 * Load BMP Image from the SD Card
	 * @param file Filename of the file to be loaded
	 * @param page Page to start to write the image (0 to 8)
	 * @param column Column to start to write the image (0 to 128)
	 */
	unsigned char bmpLoad(char *file, unsigned char page, unsigned char column);
	
	/* Private */
	unsigned int bmpReadInt();

#endif
