#ifndef _ACCELEROMETER_H
#define _ACCELEROMETER_H   1

	#include "../blib/default.h"

	#define ACCELEROMETER_SLAVE_ADDRESS B8(00111010)

	#define ACCELEROMETER_TRIGGER_X 550
	#define ACCELEROMETER_TRIGGER_Y 500

	/*
	 * Initialize the accelerometer
	 * @param ui_callback Callback function to be called if an event is detected
	 */
	void accelerometerInit(void (*ui_callback)(unsigned char command));

	/*
	 * Main routine, must be called periodically to poll the accelerometer
	 */
	void accelerometerMain();


#endif
