#ifndef _CAP_INTERFACE_H

#define _CAP_INTERFACE_H


	typedef enum
	{
		CAPIF_KEY_BACK,
		CAPIF_KEY_OK,
		CAPIF_KEY_GP1,
		CAPIF_KEY_GP2,
		CAPIF_WHEEL
	} capInterfaceKey;


	/*
	 * Initialize capacitive Interface
	 * @param ui_callback Callback function to be called if an event is detected
	 */
	void capInterfaceInit(void (*ui_callback)(capInterfaceKey, char));

	/*
	 * Main routine, must be called periodically or when a change interrupt occurs
	 */
	void capInterfaceMain();

#endif
