/*
 * Xdi Math Calculation Lib and gestrue sensing
 *
 * Autor: Bernhard Wrndl-Aichriedler 
 * E-Mail: bwa@berniwa.com 
 * Homepage: http://www.berniwa.com
 */

/**
 * @defgroup xdi Math Calculation Lib and gestrue sensing
 *
 * @brief XDI 
 *
 * @author Bernhard Wrndl-Aichriedler bwa@berniwa.com http://www.berniwa.com
 */

#ifndef _XDI_H
#define _XDI_H   1

#define XDI_POINT_NOT_TRACKED 0xFFFF

typedef struct
{
  unsigned int x;
  unsigned int y;
} XdiPoint;

void xdiInit(void (*ui_callback)(unsigned char), void (*ui_position_callback)(unsigned int, unsigned int, unsigned char));
int xdiCalculateDistance(XdiPoint p1, XdiPoint p2);
int xdiCalculateAngle(XdiPoint p1, XdiPoint p2);
void xdiMain();


#endif


